com.microfocus.awm.core

## Class TaurusCoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.microfocus.awm.core.TaurusException
      - - com.microfocus.awm.core.TaurusCoreException

- All Implemented Interfaces:
    java.io.Serializable

      public class TaurusCoreException
      extends TaurusException

  General exception for errors that occur in non-tool components of AWM.
  Author:
    Micro Focus
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusCoreException(java.lang.String pMessage)` Constructs a new exception with the specified detail message.
    `TaurusCoreException(java.lang.String pMessage, java.lang.Throwable pCause)` Constructs a new exception with the specified detail message and cause.
    `TaurusCoreException(java.lang.String pMessage, java.lang.Throwable pCause, boolean pPreferExceptionMessage)` Constructs a new exception with the specified detail message, cause and prefer exception message flag.
    `TaurusCoreException(java.lang.Throwable pCause)` Constructs a new exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class com.microfocus.awm.core.TaurusException

      `getCustomErrorMessage, isPreferExceptionMessage, setCustomErrorMessage, setPreferExceptionMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusCoreException

          public TaurusCoreException(java.lang.String pMessage,
                                     java.lang.Throwable pCause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `pMessage` - the message
        `pCause` - the cause

    - #### TaurusCoreException

          public TaurusCoreException(java.lang.String pMessage)

      Constructs a new exception with the specified detail message.
      Parameters:
        `pMessage` - the message

    - #### TaurusCoreException

          public TaurusCoreException(java.lang.Throwable pCause)

      Constructs a new exception with the specified cause.
      Parameters:
        `pCause` - the cause

    - #### TaurusCoreException

          public TaurusCoreException(java.lang.String pMessage,
                                     java.lang.Throwable pCause,
                                     boolean pPreferExceptionMessage)

      Constructs a new exception with the specified detail message, cause and prefer exception message flag. If this flag is set to `true`, the message will be the preferred message for the AWM error dialog. Else the last message in the exception hierarchy is used as message in the error dialog.
      Parameters:
        `pMessage` - the message
        `pCause` - the original cause
        `pPreferExceptionMessage` - whether the message of this `TaurusException` should be the preferred message to be displayed in the TaurusErrorDialog.

Copyright © 2015 Micro Focus GmbH. All rights reserved.